Subject: bug#15260: cannot build in a directory with non-ascii characters

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Oct 2013 05:47:48 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Kenichi Handa <[email-masked]>,  [email-masked]
> Date: Wed, 30 Oct 2013 21:01:21 -0400
> 
> > Why do we have this confusing inconsistency?
> 
> make_string is a bug.  There's no way to know/guess if the string should
> be unibyte or multibyte.

Well, there is a way, but it's tricky ;-)

Yes, this inconsistency caused me a lot of grief while working on this
bug.

> So, it should be removed and replaced by calls to either
> make_unibyte_string or make_multibyte_string.

I presume you think the same about build_string, then.

By sheer luck (or maybe something else), this is exactly what I've
been doing in every case where it mattered for the non-ASCII build.

(The job is almost done, btw, I'm in final testing.)